Прошу помочь разобраться с PIP и PYTHON на Linux Mint 18.2 Cinnamon 64-bit

Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот

Автор темы
First_Step
Сообщения: 3
Зарегистрирован: 19 апр 2019, 10:10

Прошу помочь разобраться с PIP и PYTHON на Linux Mint 18.2 Cinnamon 64-bit

Сообщение First_Step » 19 апр 2019, 10:32

Решил навести порядок с pip и python и понимаю, что что-то не то происходит у меня в системе... замкнутый круг...
Операционная система Linux Mint 18.2 Cinnamon 64-bit
Насколько я понимаю у меня одновременно установлено несколько версий Python
На команду: python -V выдает:
Python 2.7.12
На команду python3 -V выдает:
Python 3.5.2
На команду sudo apt-get install python3.6 пишет:

Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Уже установлен пакет python3.6 самой новой версии (3.6.7-1~16.04.york3).
Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.


Странность, что не показывает, что установлена версия 3.6.7. Ладно, теперь посмотрим на pip.

pip3 –version выдает ответ
pip 8.1.1 from /usr/lib/python3/dist-packages (python 3.5)


Хорошо, при попытке: pip3 install –upgrade pip3

Collecting pip3
Could not find a version that satisfies the requirement pip3 (from versions: )
No matching distribution found for pip3
You are using pip version 8.1.1, however version 19.0.3 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.


Хорошо, слушаемся помощника pip install –upgrade pip

/home/user/.local/lib/python2.7/site-packages/pip/_vendor/requests/__init__.py:83: RequestsDependencyWarning: Old version of cryptography ([1, 2, 3]) may cause slowdown.
warnings.warn(warning, RequestsDependencyWarning)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7.
Requirement already up-to-date: pip in ./.local/lib/python2.7/site-packages (19.0.3)



Что то не пойму я как вырваться из этого замкнутого круга….

Аватара пользователя

Obamacyborg1975
Сообщения: 478
Зарегистрирован: 27 сен 2016, 05:19
Решено: 2
Благодарил (а): 129 раз
Поблагодарили: 106 раз

Прошу помочь разобраться с PIP и PYTHON на Linux Mint 18.2 Cinnamon 64-bit

Сообщение Obamacyborg1975 » 19 апр 2019, 12:45

First_Step писал(а):
19 апр 2019, 10:32
Насколько я понимаю у меня одновременно установлено несколько версий Python
Как вы устанавливали Python 3.6? В Linux Mint 18.2 , по дефолту Python версии 3.5.1-3.


Автор темы
First_Step
Сообщения: 3
Зарегистрирован: 19 апр 2019, 10:10

Прошу помочь разобраться с PIP и PYTHON на Linux Mint 18.2 Cinnamon 64-bit

Сообщение First_Step » 19 апр 2019, 13:05

Obamacyborg1975 писал(а):
19 апр 2019, 12:45
Как вы устанавливали Python 3.6? В Linux Mint 18.2 , по дефолту Python версии 3.5.1-3.
Точно не помню, возможно командой sudo apt-get install python3.6


Автор темы
First_Step
Сообщения: 3
Зарегистрирован: 19 апр 2019, 10:10

Прошу помочь разобраться с PIP и PYTHON на Linux Mint 18.2 Cinnamon 64-bit

Сообщение First_Step » 19 апр 2019, 13:06

Сейчас я смог обновить pip командой pip3 install --upgrade pip с двумя тире.

Вернуться в «Cinnamon»